Point Draft

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Point and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Page précédente: Draft BSpline.svg BSpline Draft

Draft Point.svg Point Draft

Emplacement du menu
Draft → Point
Ateliers
Atelier Draft, AtelierArch
Raccourci par défaut
P T
Introduit dans la version
0.7
Voir aussi
Ligne Draft, Filaire Draft


Description

L'outil Point crée un point simple dans le Plan de travail Draft utile pour servir de référence pour placer des lignes, des fils ou d'autres objets ultérieurement. Il utilise les Propriétés de ligne Draft (uniquement la couleur) définies dans La barre Draft.

Draft point example.jpg

Un seul point placé sur le plan de travail


Utilisation

  1. Appuyez sur la touche Draft Point.png Point Draft ou appuyez sur la touche P puis T.
  2. Cliquez sur un point de la vue 3D ou tapez les Coordonnées Draft et appuyez sur le bouton Draft AddPoint.svg Ajouter un point Draft.

Options

  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, puis appuyez sur Entrée entre chaque composante X, Y et Z. Vous pouvez appuyer sur le bouton Draft AddPoint.svg Ajouter un point Draft lorsque vous avez les valeurs souhaitées pour insérer le point.
  • Appuyez sur T ou cochez la case pour passer en mode continue. Si le mode Continue est activé, l'outil de pointage redémarre après avoir placé un point, ce qui vous permet d'en placer un autre sans appuyer à nouveau sur le bouton de l'outil.
  • Appuyez sur Echap ou sur le bouton Fermer pour annuler la commande en cours.

Propriétés

  • DONNÉESX: la coordonnée X du point.
  • DONNÉESY: la coordonnée Y du point.
  • DONNÉESZ: la coordonnée Z du point.

Script

Voir aussi: Draft API et FreeCAD scripts de base.

L'outil Point peut être utilisé dans une macro et dans la console Python en utilisant la fonction suivante:

Point = makePoint(X=0, Y=0, Z=0, color=None, name="Point", point_size=5)
Point = makePoint(point, Y=0, Z=0, color=None, name="Point", point_size=5)
  • Crée un objet Point dans les coordonnées X, Y et Z spécifiées, avec des unités en millimètres. Si aucune coordonnée n'est donnée, le point est créé à l'origine (0,0,0).
    • Si X est un point défini par un FreeCAD.Vector, il est utilisé.
  • color est un tuple (R, G, B) qui indique la couleur du point dans l'échelle RVB. Chaque valeur du tuple doit être comprise entre 0 et 1.
  • name est le nom de l'objet.
  • point_size est la taille de l'objet en pixels si l'interface graphique est chargée.

Exemple:

import FreeCAD
import Draft

Point1 = Draft.makePoint(1600, 1400, 0)

p2 = FreeCAD.Vector(-3200, 1800, 0)
Point2 = Draft.makePoint(p2, color=(0.5, 0.3, 0.6), point_size=10)
FreeCAD.ActiveDocument.recompute()

Exemple:

Ce code crée des Template:Incodes points aléatoires dans un carré de côté 2L. Cela crée une boucle créant des N points, qui peuvent apparaître n'importe où de -L à + L sur X et Y; il choisit également une couleur et une taille aléatoires pour chaque point. Modifiez N pour changer le nombre de points, puis L pour changer la zone couverte par les points.

import random
import FreeCAD
import Draft

L = 1000
centered = FreeCAD.Placement(FreeCAD.Vector(-L, -L, 0), FreeCAD.Rotation())
Rectangle = Draft.makeRectangle(2*L, 2*L, placement=centered)
N = 10

for i in range(N):
    x = 2*L*random.random() - L
    y = 2*L*random.random() - L
    z = 0
    r = random.random()
    g = random.random()
    b = random.random()
    size = 15*random.random() + 5
    Draft.makePoint(x, y, z, color=(r, g, b), point_size=size)

FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Draft BSpline.svg BSpline Draft